IF OBJECT_ID('TR__Users__ValidateAnonymous') IS NOT NULL DROP TRIGGER TR__Users__ValidateAnonymous
GO

CREATE TRIGGER TR__Users__ValidateAnonymous
       ON [Users] FOR UPDATE, DELETE
AS 
BEGIN

	IF EXISTS(
			SELECT *
			  FROM deleted
			 WHERE [User_Name] = 'Anonymous'
			 )
	   AND NOT EXISTS(
			SELECT *
			  FROM inserted
			 WHERE [User_Name] = 'Anonymous'
			 )
	BEGIN

		RAISERROR('Cannot delete or alter the anonymous user.', 16, 1)
		ROLLBACK
	
	END
		
END
GO