EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetImages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerImages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker images that match the specified criteria.'
GO

IF OBJECT_ID('[DockerImages_GetImages]') IS NOT NULL DROP PROCEDURE [DockerImages_GetImages]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetImages]
(
	@Feed_Id INT,
	@Repository_Name VARCHAR(255) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerImages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Repository_Name IS NULL OR [Repository_Name] = @Repository_Name)

END
GO

GRANT EXECUTE ON [DockerImages_GetImages] TO [ProGetUser_Role]
GO