EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Variables_GetVariablesAccessibleFromScope',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Variables',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the variables that are defined in any of the specified scopes.'
GO

IF OBJECT_ID('[Variables_GetVariablesAccessibleFromScope]') IS NOT NULL DROP PROCEDURE [Variables_GetVariablesAccessibleFromScope]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Variables_GetVariablesAccessibleFromScope]
(
    @Feed_Id INT = NULL,
    @Variable_Name VARCHAR(50) = NULL,
    @IncludeSystemVariables_Indicator YNINDICATOR = NULL
)
AS
BEGIN
    SET NOCOUNT ON

    SELECT *
      FROM [Variables] V
     WHERE ([Variable_Name] = @Variable_Name OR @Variable_Name IS NULL)
       AND ([Feed_Id] = @Feed_Id
          OR (@IncludeSystemVariables_Indicator = 'Y' AND [Feed_Id] IS NULL)
        )

END
GO

GRANT EXECUTE ON [Variables_GetVariablesAccessibleFromScope] TO [ProGetUser_Role]